# shmsink

Send data over shared memory to the matching source.

## Example launch lines

     gst-launch-1.0 -v videotestsrc ! "video/x-raw, format=YUY2, color-matrix=sdtv, \
     chroma-site=mpeg2, width=(int)320, height=(int)240, framerate=(fraction)30/1" \
     ! shmsink socket-path=/tmp/blah shm-size=2000000

Send video to shm buffers.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──shmsink

## Factory details

Authors: – Olivier Crete

Classification: – `Sink`

Rank – none

Plugin – shm

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

## Signals

### client-connected

    client_connected_callback (GstElement * param_0,
                               gint arg0,
                               gpointer udata)

    def client_connected_callback (param_0, arg0, udata):
        #python callback for the 'client-connected' signal

    function client_connected_callback(param_0: GstElement * param_0, arg0: gint arg0, udata: gpointer udata): {
        // javascript callback for the 'client-connected' signal
    }

Parameters:

`param_0` –
No description available
`arg0` –
No description available
`udata` –
No description available

Flags: Run Last

### client-disconnected

    client_disconnected_callback (GstElement * param_0,
                                  gint arg0,
                                  gpointer udata)

    def client_disconnected_callback (param_0, arg0, udata):
        #python callback for the 'client-disconnected' signal

    function client_disconnected_callback(param_0: GstElement * param_0, arg0: gint arg0, udata: gpointer udata): {
        // javascript callback for the 'client-disconnected' signal
    }

Parameters:

`param_0` –
No description available
`arg0` –
No description available
`udata` –
No description available

Flags: Run Last

## Properties

### buffer-time

    “buffer-time” gint64

Maximum Size of the shm buffer in nanoseconds (-1 to disable)

Flags : Read / Write / Construct

Default value : 18446744073709551615

### perms

    “perms” guint

Permissions to set on the shm area

Flags : Read / Write

Default value : 416

### shm-size

    “shm-size” guint

Size of the shared memory area

Flags : Read / Write

Default value : 67108864

### socket-path

    “socket-path” gchararray

The path to the control socket used to control the shared memory transport. This may be modified during the NULL->READY transition

Flags : Read / Write

Default value : NULL

### wait-for-connection

    “wait-for-connection” gboolean

Block the stream until the shm pipe is connected

Flags : Read / Write

Default value : true

The results of the search are